PKWareExtraHeader.EncryptionAlgorithm
Date: 2017-02-08

org.apache.commons.compress.archivers.zip

## Enum PKWareExtraHeader.EncryptionAlgorithm

- java.lang.Object
- - java.lang.Enum<PKWareExtraHeader.EncryptionAlgorithm>
  - - org.apache.commons.compress.archivers.zip.PKWareExtraHeader.EncryptionAlgorithm

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PKWareExtraHeader.EncryptionAlgorithm>
  Enclosing class:
    PKWareExtraHeader

      public static enum PKWareExtraHeader.EncryptionAlgorithm
      extends java.lang.Enum<PKWareExtraHeader.EncryptionAlgorithm>

  Encryption algorithm.
  Since:
    1.11

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AES128`
    `AES192`
    `AES256`
    `DES`
    `RC2`
    `RC2pre52`
    `RC4`
    `TripleDES168`
    `TripleDES192`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PKWareExtraHeader.EncryptionAlgorithm` | `getAlgorithmByCode(int code)` Returns the EncryptionAlgorithm for the given code or null if the method is not known.
    `int` | `getCode()` the algorithm id.
    `static PKWareExtraHeader.EncryptionAlgorithm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PKWareExtraHeader.EncryptionAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DES

          public static final PKWareExtraHeader.EncryptionAlgorithm DES

    - #### RC2pre52

          public static final PKWareExtraHeader.EncryptionAlgorithm RC2pre52

    - #### TripleDES168

          public static final PKWareExtraHeader.EncryptionAlgorithm TripleDES168

    - #### TripleDES192

          public static final PKWareExtraHeader.EncryptionAlgorithm TripleDES192

    - #### AES128

          public static final PKWareExtraHeader.EncryptionAlgorithm AES128

    - #### AES192

          public static final PKWareExtraHeader.EncryptionAlgorithm AES192

    - #### AES256

          public static final PKWareExtraHeader.EncryptionAlgorithm AES256

    - #### RC2

          public static final PKWareExtraHeader.EncryptionAlgorithm RC2

    - #### RC4

          public static final PKWareExtraHeader.EncryptionAlgorithm RC4

    - #### UNKNOWN

          public static final PKWareExtraHeader.EncryptionAlgorithm UNKNOWN

  - ### Method Detail

    - #### values

          public static PKWareExtraHeader.EncryptionAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PKWareExtraHeader.EncryptionAlgorithm c : PKWareExtraHeader.EncryptionAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PKWareExtraHeader.EncryptionAlgorithm valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      the algorithm id.
      Returns:
        the PKWare AlgorithmId

    - #### getAlgorithmByCode

          public static PKWareExtraHeader.EncryptionAlgorithm getAlgorithmByCode(int code)

      Returns the EncryptionAlgorithm for the given code or null if the method is not known.
      Parameters:
        `code` - the code of the algorithm
      Returns:
        the EncryptionAlgorithm for the given code or null if the method is not known